%define major   1
%define libname %mklibname pisp %{major}
%define devname %mklibname pisp -d

Name:           libpisp
Version:        1.2.1
Release:        %mkrel 1
Summary:        Helper library to generate run-time configuration for the Raspberry Pi ISP (PiSP)
Group:          System/Libraries
License:        BSD-2-Clause
Url:            https://github.com/raspberrypi/libpisp
Source0:        https://github.com/raspberrypi/libpisp/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:  meson
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(nlohmann_json)

%description
A helper library to generate run-time configuration for the
Raspberry Pi ISP (PiSP), consisting of the Frontend and
Backend hardware components.

%package common
Summary:        Helper library for the PiSP hardware block (data files)
Group:          System/Libraries

%description common
This package contains data files for the helper library for the
PiSP hardware block.

%package -n %{libname}
Summary:        Helper library to generate run-time configuration for the Raspberry Pi ISP (PiSP)
Group:          System/Libraries
Requires:       libpisp-common >= %{version}-%{release}

%description -n %{libname}
A helper library to generate run-time configuration for the
Raspberry Pi ISP (PiSP), consisting of the Frontend and
Backend hardware components.

%package -n %{devname}
Summary:        Development package for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       pisp-devel = %{version}-%{release}

%description -n %{devname}
This package contains development libraries and header files
that are needed to write applications that use %{name}.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files common
%doc README*
%dir %{_datadir}/libpisp
%{_datadir}/libpisp/backend_default_config.json

%files -n %{libname}
%license LICENSES/*
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu May 15 2025 daviddavid <daviddavid> 1.2.1-1.mga10
+ Revision: 2183670
- initial package libpisp (needed for libcamera)

